kfceu

Games Other

Source (required if based on other people's work):

0
Score 68%
Description:

KFceu is a much needed front end for FCE Ultra. KFceu will provide you with the all tools to configure FCE Ultra with ease, and to browse your collection faster.

Go to my openSUSE Build repository to see all the other distro packages.

INFO:
The latest version requires KDE4 libs, and developer tools, including CMake.

If your using an RPM based distro you can simply try a "rpmbuild -ta kfceu.VERSION.tar.gz" as root, and if everything is set up right it should build an RPM for you.
Last changelog:

11 years ago

2.0.4
Now you have the option to scan the rom directory recursively. Will now build on KDE 4.1 alpha.

2.0.3
GiSWiG's fine name issue put to bed for good I hope.

2.0.2
I broke the focus. Fixed.
Also fixed a bug that might cause your game list information to be incorrect.

2.0.1
Fixed some of the help boxes wording.
Using the KDE about dialog, instead of my own cruddy one.

2.0.0
Added improved search filter.
Added help tool tips.
"Valgrind"ed out some memory leaks.
More KDE 4 widgets added.

qgqlochekone

10 years ago

PICCORO:

i try to compile in sarge brand, but it seems depends KDE 3.4 cos hav this error:

In file included from main.cpp:3:
.ui/mainForm.h:29: error: error de decodificación before `{' token
.ui/mainForm.h:30: error: virtual outside class declaration
.ui/mainForm.h:30: error: non-member function `const char* className()' cannot
have `const' method qualifier
.ui/mainForm.h:30: error: virtual outside class declaration

i think i need g++ 3.4 , i currenly use 3.3 and libstdc++5-dev, this weekend i ll install g++ 3.4 and libstdc++6-dev....

there the rest of log..

.ui/mainForm.h:30: error: virtual outside class declaration
.ui/mainForm.h:30: error: virtual outside class declaration
.ui/mainForm.h:30: error: virtual outside class declaration
.ui/mainForm.h: En function `QObject* qObject()':
.ui/mainForm.h:30: error: invalid use of `this' in non-member function
.ui/mainForm.h: At global scope:
.ui/mainForm.h:30: error: error de decodificación before `private'
.ui/mainForm.h:34: error: destructors must be member functions
.ui/mainForm.h:51: error: error de decodificación before `public'
.ui/mainForm.h:53: error: virtual outside class declaration
.ui/mainForm.h:54: error: virtual outside class declaration
.ui/mainForm.h:55: error: virtual outside class declaration
.ui/mainForm.h:56: error: virtual outside class declaration
.ui/mainForm.h:57: error: virtual outside class declaration
.ui/mainForm.h:58: error: virtual outside class declaration
.ui/mainForm.h:59: error: virtual outside class declaration
.ui/mainForm.h:60: error: virtual outside class declaration
.ui/mainForm.h:61: error: virtual outside class declaration
.ui/mainForm.h:62: error: virtual outside class declaration
.ui/mainForm.h:63: error: virtual outside class declaration
.ui/mainForm.h:64: error: virtual outside class declaration
.ui/mainForm.h:66: error: error de decodificación before `protected'
.ui/mainForm.h:73: error: error de decodificación before `protected'
main.cpp: En function `int main(int, char**)':
main.cpp:10: error: `mainForm' undeclared (first use this function)
main.cpp:10: error: (Each undeclared identifier is reported only once for each
function it appears in.)
main.cpp:10: error: error de decodificación before `;' token
main.cpp:11: error: `w' undeclared (first use this function)
/usr/include/qt3/qstringlist.h: En el nivel principal:
.ui/mainForm.h:30: aviso: `bool qt_static_property(QObject*, int, int,
QVariant*)' declared `static' but never defined
.ui/mainForm.h:30: aviso: `QMetaObject* staticMetaObject()' declared `static'
but never defined
.ui/mainForm.h:30: aviso: `QString tr(const char*, const char*)' declared
`static' but never defined
.ui/mainForm.h:30: aviso: `QString trUtf8(const char*, const char*)' declared
`static' but never defined
make[1]: *** [.obj/main.o] Error 1
make[1]: Leaving directory `/home/general/emus-proyect/emus/kfceu/kfceu/kfceu-1.0.0'
make: *** [build-stamp] Error 2

Report

C

PikoPiko

10 years ago

It looks like a problem with the way qmake is constructing the UI headers.

I'll be honest. I don't really care about the version 1.0.0 of KFCEU. I don't plan on writing any more patches my self for it. If you can fix it then I'll gladly add it to KFCEU.

If you can't figure it out I would simply get the KDE4 developer stuff installed, and use version 2.0.2. It is a far better version, and should compile on anything with out problems because of cmake.

Sorry I can't be much more help then this.

Report

qgqlochekone

10 years ago

ok, i understand u'r possition!

it seems the qmake, i try to upgrade, like many tools i hav to upgrade throug this issue, i find that gcc 3.3. not work also!

i will compile again whit all tools, and i ll put commnets about!

see u tomorrow

Report

qgqlochekone

9 years ago

i solved, seems trhat u README in the old version are not seriously made correctly, kfceu 0.1 requires kde 3.4

about kfceu 2.X.X its realy cool a frontend too complicateed in a too complex and modern KDE4 for an old very old emu like fceu, umm better u make the port to qt4 perhaps, but kde4, noooo!

Report

GiSWiG

10 years ago

AWESOME! Works in opensuse 10.3 64-bit! Didn't need to have a full implementation of KDE4. I did add libkde4-devel through yast (came with it's own slew of deps) and I think cmake as well, and it runs great.

There is one small issue. Files with a . in the name are not shown in the roms list (probably sees what's past the dot as the extension) Good example is "Super Mario Bros. (JU) [!].zip" This is the name given to the rom by GoodNES (ROM checker program windows based) In fact, this is an issue for all of the Super Mario Bros. games (1,2, and 3 at least) Rename it and it's fine. But would like to keep the original name with the .

THANKS!

Report

C

PikoPiko

10 years ago

Oops, I know why it does that, yeah your right.

When is scans the extension it takes everything after the first dot, not the last. I think I can fix that rather quickly.

Report

C

PikoPiko

10 years ago

Should be fixed now.

Report

C

PikoPiko

10 years ago

I noticed when I released this version that there is no depends on for KDE4. Wondering when admins will add that to the list.

Just want to make sure everyone knows, the latest version(=>1.99.5) of KFceu is KDE 4 only.

Report

C

PikoPiko

10 years ago

Getting a good development environment for KDE 4 has been fairly tricky. I'm never sure if it's linking things right, or if I even have everything I need installed correctly. Getting both KDE 3, and 4 to exist together on openSuSE is more difficult then it should be. I think it's more of my own fault then KDE's. Hopefully when the final version is released this will be much better.

I don't think you'll see KFceu/KDE4 out until sometime next year. This is one of my little side programs, but because I use it my self regularly, I try to keep it up to date, and keep trying to improve it.

I have some new functions in the works, like KFceu now can almost modify the FCEU configuration files on it own, so making a better button binding interface is possible.

Report

H00K

10 years ago

'./configure && make' works just fine on my Gentoo amd64.

Great work. Thanks :D

..now I only have to figure out how the controls settings work. ...but after the exams tomorrow!

Report

C

PikoPiko

10 years ago

I forgot to put the help box back in.

Basically you'll get a window, and in this window's title it will tell you the controller button you are currently trying to bind. Press the key, or joystick button, or move an axis twice to bind it.

It's a little weird. It's FCEU's actually key binder method. I'm trying to dissect how they create the configuration in the first place, so I can make my own method for binding controls that's will be a little easier to understand.

Report

karper

10 years ago

Curse my noobness! I can't seem to get the source package to install. Could you upload a deb, please? Kubuntu Feisty, if you need to know the distro...

Report

C

PikoPiko

10 years ago

Firstly make sure you have qt3-devel installed, and not qt4-devel, it won't compile in qt4 yet.

If you still get errors send me the out put by email

ciaran<DOT>gillespie<AT>gmail<DOT>com

I've been busy for the past two weeks, and I've been trying to set up some virtual machines so I can get KFceu to build on all distros, then I'll be able to have the openSUSE build farm make the packages for everyone.

I'm not very good at deploying software on Linux, actually this is the first time I've had to get it working on this many distros.

Report

ih8windoze

11 years ago

I like it, but this is what I get when I run ./configuration

uic: File generated with too old version of Qt Designer
uic: File generated with too old version of Qt Designer
uic: File generated with too old version of Qt Designer

I'm using Slack 12 with
Qt: 3.3.8
KDE: 3.5.7
KUIViewer: 0.1

Report

C

PikoPiko

11 years ago

Your using Qt4 most likely

Simply run in a console "qt3to4 kfceu.pro", and say yes to all, then rerun "./configuration", this should let it build on the newer version of Qt. I'll make the configuration script automatically check for this in the next version. Thank you for the bug.

Report

C

PikoPiko

11 years ago

Oops, I meant, you most likely have qt4-devel installed instead of qt3-devel. I've just tried to do a qt3to4 on kfceu.pro, and it seems to have failures, with the KDE based widgets, I'll look into it.

If you do get problems with qt3to4 you can always just uninstall qt4-devel, and install qt3-devel. Though I want to get this fixed.

Report

C

PikoPiko

11 years ago

Your using Qt4 most likely

Simply run in a console "qt3to4 kfceu.pro", and say yes to all, then rerun "./configuration", this should let it build on the newer version of Qt. I'll make the configuration script automatically check for this in the next version. Thank you for the bug.

Report

H00K

10 years ago

Then it breaks on "make".

I have both Qt 3 and Qt 4 installed on my Gentoo amd64.

Report

C

PikoPiko

10 years ago

I'll have the Qt4 version done before the end of the week.

Sorry for my stupidity in making this in Qt3 to start with.

Report

H00K

10 years ago

Don't worry. Your effort is greatly appreciated :]

Report

ljubomir

11 years ago

Hi,

Long time ago I've created a frontend for Tuxnes, written in Kommander:

http://www.kde-apps.org/content/show.php/Ultra+NES+Manager?content=28023

A few days later it got forked into fceu frontend instead.

http://www.kde-apps.org/content/show.php/FCE+Ultra+NES+Manager?content=28267

Nowadays, I use mainly freevo on my standalone gaming machine, but I still enjoy casual nes game on my desktop.

Don't stop your work!

Report

karper

11 years ago

Just a couple of days ago, I was lamenting the fact that kfceu didn't exist (http://karper.wordpress.com/2007/08/30/nes-games-forever/). Didn't know about your app. Will give it a try!

I'm surprised it's not in the Kubuntu repositories...

Report

C

PikoPiko

11 years ago

Well it looks like FCE Ultra is going to get some new blood working on their project. I hope to start working with them soon to add better integration of KFceu with FCE Ultra. Right now all I'm doing is passing a command straight to fceu using system(const char *).

I would like to add more advanced features. The biggest thing I want working is button by button configuration, and an easy joy pad configuration method. Something other front ends seem to fail at a lot.

Net play is also another big issue I want to focus on, but FCE Ultra still needs to work on that it's self.

Next thing I would really like to have more meta info. Like Amarok I would like to be able to tell people what their favorite game is. When was the last time you played a game, and also what country it's from, size, and maybe even cartridge art.

Report

thaiki

11 years ago

excellent congratulations.

single lack that distributes like .rpm and .deb so that it is to standar like zsnes. I always wanted something thus for kde, the other is bad since Gamefu is not standard and I do not like. On the other hand dejame decirte that you follow with the project.

greetings

it pardons badly by my English

Report

DarkShock

11 years ago

Funny, my first attempt to create a KDE program was called kfceu, but at that time I didn't go further than the KDE program template ;)

Nowadays, I developed a far more complete program called Gamefu found here:
http://www.kde-apps.org/content/show.php?content=36846

Report

11 years ago

2.0.4
Now you have the option to scan the rom directory recursively. Will now build on KDE 4.1 alpha.

2.0.3
GiSWiG's fine name issue put to bed for good I hope.

2.0.2
I broke the focus. Fixed.
Also fixed a bug that might cause your game list information to be incorrect.

2.0.1
Fixed some of the help boxes wording.
Using the KDE about dialog, instead of my own cruddy one.

2.0.0
Added improved search filter.
Added help tool tips.
"Valgrind"ed out some memory leaks.
More KDE 4 widgets added.

product-maker 13 35

File (click to download) Version Description Packagetype Architecture Downloads Date Filesize DL OCS-Install
Pling
Details
license
version
2.0.4
updated May 08 2008
added Jul 29 2007
downloads today
0
page views today 1
System Tags app software